using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 导入配置 明细 字段
    /// </summary>
    [Description("导入配置 明细 字段")]
	[IgnoreT4]public class T_FM_IMPORT_CONFIG_FIELD : MesEntityBase
	{
        [Description("导航：导入配置明细ID")]
        public Guid IMPORT_CONFIG_DETAIL_ID { get; set; }

		/// <summary>
		/// 显示名称
		/// </summary>
		[Description("显示名称")]
		public string LABEL { get; set; }
		/// <summary>
		/// 目的字段名称
		/// </summary>
		[Description("目的字段名称")]
		public string DEST_FIELD_NAME { get; set; }
		/// <summary>
		/// 来源字段名称 即Excel中对应字段名称
		/// </summary>
		[Description("来源字段名称")]
		public string SRC_FIELD_NAME { get; set; }
		 
		/// <summary>
		/// 来源字段类型 FMImportConfigSrcFieldTypeEnum
		/// </summary>
		[Description("来源字段类型")]
		[EnumName("FMImportConfigSrcFieldTypeEnum")]
		public int SRC_FEILD_TYPE { get; set; }

		/// <summary>
		/// 目的字段为导航字段，需将ID填入ID字段中
		/// </summary>
		[Description("ID字段名称")]
		public string ID_FIELD_NAME { get; set; }

		/// <summary>
		/// 来源字段类型为ID字段时，ID字段对应的表名称
		/// </summary>
		[Description("ID字段表名称")]
		public string ID_TABLE_NAME { get; set; }

		/// <summary>
		/// 来源字段类型为ID字段时，ID字段对应的表用于过滤的字段名称
		/// </summary>
		[Description("ID字段表字段名称")]
		public string ID_TABLE_FIELD_NAME { get; set; }

		/// <summary>
		/// 查询已有数据字段 当为true时，该字段作为查询已有数据依据 
		/// </summary>
		[Description("查询已有数据字段")]
		public bool IS_QUERY_FIELD_NAME { get; set; }

		/// <summary>
		/// 备注
		/// </summary>
		[Description("备注")]
		public string REMARK { get; set; }

        [Description("导航：导入配置明细")]
        public virtual T_FM_IMPORT_CONFIG_DETAIL Nav_ImportConfigDetail { get; set; }

		[Description("源ID")]
		public Guid? SRC_ID { get; set; }
	}
}
